PDA

View Full Version : Having Trouble Upgrading



Cuulvv
06-27-2017, 06:47 PM
So I got Dying Light today and It says that I need to upgrade my OpenGL. I downloaded the 86_64x Long Lived Branch Version, I run it, the .run file, and it pops out like this. https://gyazo.com/41d8c6d02e97091c662b90399f6af536. A notepad file with that in it. I'm on Arch, by the way. Help?



{SOLVED}

Dark Photon
06-27-2017, 07:32 PM
I run it, the .run file, and it pops out like this. https://gyazo.com/41d8c6d02e97091c662b90399f6af536. A notepad file with that in it. I'm on Arch, by the way. Help?

This .run file appears to be in the standard format that NVidia OpenGL Linux drivers are distributed by NVidia in.

It's a shell script runnable on Linux. If you know for certain that you downloaded this .run file from NVidia (see this link: NVidia Download (https://www.nvidia.com/Download/index.aspx)) so you know that it's legitimate, then (as root) just run this from a shell prompt:



sh NVIDIA-Linux-x86_64-375.66.run


or alternatively:



chmod a+x NVIDIA-Linux-x86_64-375.66.run
./NVIDIA-Linux-x86_64-375.66.run


This will start the NVidia OpenGL driver install process.

Cuulvv
06-27-2017, 08:07 PM
Now it says:

Welcome to the NVIDIA Software Installer for Unix/Linux

Detected 4 CPUs online; setting concurrency level to 4.

WARNING: You do not appear to have an NVIDIA GPU supported by the 375.66 NVIDIA
Linux graphics driver installed in this system. For further details,
please see the appendix SUPPORTED NVIDIA GRAPHICS CHIPS in the README
available on the Linux driver download page at www.nvidia.com.

The file '/tmp/.X0-lock' exists and appears to contain the process ID '351' of
a runnning X server.

ERROR: You appear to be running an X server; please exit X before installing.
For further details, please see the section INSTALLING THE NVIDIA DRIVER
in the README available on the Linux driver download page at
www.nvidia.com.


ERROR: Installation has failed. Please see the file
'/var/log/nvidia-installer.log' for details. You may find suggestions
on fixing installation problems in the README available on the Linux
driver download page at www.nvidia.com.


In the terminal.

Dark Photon
06-28-2017, 06:00 AM
Ok, so the NVidia driver you've got there doesn't support your current GPU.

Sounds like you may be new to Linux, or at least new to NVIDIA driver installation. Since you're running Arch Linux, your best bet is probably to follow one of their NVidia driver installation guides, like this one:

* NVIDIA (https://wiki.archlinux.org/index.php/NVIDIA) (Arch Linux Wiki)

As described here, it appears the simplest solution is for you to just let your package manager install the NVidia driver for you, rather to install it manually yourself.

If you don't have success with that, follow-up here and we'll try to help (for starters, you'll need to tell us what GPU you do have; see the wiki page linked above for details).